//control the player
//these must match the array entries for the movement
//or is that the other way round?


//functions
void game_loop();
int showoptions(int);
void play_game();
void instructions(BITMAP*);
int quit();
void credits(BITMAP*);
void difficulty();
int position_logo(BITMAP*,BITMAP*,int);
void difficulty_string(char*);
void subdisp(char [][75],int,BITMAP*,int,int,int,int);
void wipe(BITMAP* ,BITMAP* , int );
void spec();
void spec_string(char*);
void set_passwordlevel(char*);
void music();
void music_string(char*);
void hiscore(BITMAP*);
void playerset();
void player_string(char*);
void computerset(int);
void computer_string(char*);
void animation();
void animation_string(char*);
void unleashfireball(int,int);
void GazzaPlay();
int playsample(int,EDIGIPRIORITY,EVOLUME);
void playfireball(int);

int newlevel(int*,int);
void hazardDraw();
int gameInput();
int playerUpdate();
void hazardUpdate();
int showpoem(int);
void gameDraw();
void playerDraw(int*,char*);
void otherDraw();
void lastDraw();
void drawbackdrop();
void drawplatforms();
void addPlayers();
void addGap(EGAPTYPE,int*); //add a gap
void gamepause();
int gamequit();
void gamehelp();
void transmsgbox(BITMAP*,int,int,char*,char*,int,int);
void endsequence();
void waitF7();
void moveComputers();
void debugitems();

//game defines
#define MAINDAT_FILE "jj_main.dat"
#define SAFCDAT_FILE "jj_safc.dat"
#define MUSICDAT_FILE "jj_music.dat"

//intro screen options
//-1 is defined as no option
#define GAME1_PLAY 0
#define GAME1_PLAYERS 1
#define GAME1_INSTRUCTIONS 2
#define GAME1_CREDITS 3
#define GAME1_DIFFICULTY 4   //controls dificulty by basically adding pixels to gap movement
#define GAME1_PASSWORD 5     //level selector for multi-player
#define GAME1_HISCORE 6
#define GAME1_SETUP 7
#define GAME1_QUIT 8

#define GAME2_RETURN 0
#define GAME2_SPEC   1
#define GAME2_MUSIC  2
#define GAME2_SETUP  3

//difficulty strings
#define STR_EASY "Easy Game"
#define STR_NORMAL "Standard Game"
#define STR_HARD "Hard Game"
#define STR_NUTTER "Turbo Nutter Game"
//difficulty offsets - add these to GAP_PIXELS_FRAME
#define GAME_EASY -1
#define GAME_NORMAL 0
#define GAME_HARD 2
#define GAME_NUTTER 4

//spec strings
#define STR_ALL "Backdrops"
#define STR_NONE "No Backdrops"
//spec levels
#define SPEC_ALL 0
#define SPEC_NOBACKDROPS 1
#define SPEC_NOTRANS 2
#define SPEC_NONE 3

//music strings
#define STR_MUSIC_ALL "Music and Effects"
#define STR_MUSIC_MUSIC "Music Only"
#define STR_MUSIC_SOUND "Sound Only"
#define STR_MUSIC_NONE "No Music or Sound"
//music levels
#define MUSIC_ALL 0
#define MUSIC_MUSIC 1
#define MUSIC_SOUND 2
#define MUSIC_NONE 3

//smoothness strings
#define STR_ANIM_NORMAL "Normal"
#define STR_ANIM_SMOOTH "Smooth"
//smoothness levels
#define ANIM_NORMAL 1
#define ANIM_SMOOTH 2

//game defaults
#define PLATFORM_WIDTH 10   //thing you walk on in pixels
#define PLATFORM_SPACE 50   //gap between two platforms in pixels
#define MAXGAPS 20          //maximum number of gaps allowed
#define LAST_LEVEL 9
#define MAX_HAZARDS 20
#define MAX_LIVES_NORMAL 7
#define MAX_LIVES_DEATH 2

//wipe options
#define WIPE_LEFT 1
#define WIPE_RIGHT 2
#define WIPE_UP 3
#define WIPE_DOWN 4


