#define VERSION "1.30-beta"

#define NUM_PLAYERS 2

typedef struct GAME {
	struct ASTEROID **Asteroid;
	int NumAsteroids;

	struct PLAYER *Player[NUM_PLAYERS];

	int Level;
	int LevelSwitchDelay;
	int LevelSwitchDelta;

	int TimeToLive;
	int InitLevelSwitch;	
} GAME;

extern BITMAP *Ast[9];
extern BITMAP *BackBuffer;
extern DATAFILE *demodata;
extern BITMAP *Smoke, *Bullet, *Dust;
extern BITMAP *PlayerBitmap[];

extern FONT *DigitFont;

extern SAMPLE *Boom, *Tick, *Engine, *PowerUp;
extern struct JGMOD *Music;
extern struct WEAPON *NormalGun, *LaserGun, *RapidFireGun, *Laser2Gun, *Laser3Gun;

extern GAME Game;

extern COLOR_MAP transmap;
extern COLOR_MAP transmaparray[4];
extern RGB_MAP palette_map;

extern RGB* GamePal;

extern BITMAP *convert_bitmap(BITMAP *bmp, RGB *pal);

extern int GamePaused;

extern void DoGame(int n);

